---
title: "Trying out Lemmy as a Reddit alternative"
date: 2023-07-26T07:07:00
slug: trying-out-lemmy-as-a-reddit-alternative

---
Alright I'm back on the Reddit thing again.

I decided to setup a [Lemmy](https://join-lemmy.org/) instance, just to evaluate what it's like as an alternative to Reddit. Installation was easy, as I just used Docker this time, and reverse-proxied through Nginx. There are pretty clear instructions on the README.

Overall I'd say it's... not bad. The user experience is broadly the same as Reddit, it's clearly tried to stick to the same familiar formula. It's even got the same base of unnecessarily hostile comments! There are also a couple of nice mobile apps, I've been using Memmy for iOS and I'm happy with it.

It's also surprisingly performant, I've not noticed any long waits or timeouts while using it. Finding "communities" (the Lemmy equivalent of a Subreddit) is difficult, especially on a single-user instance, but there are tools like [Lemmy Explorer](https://lemmyverse.net/) for finding communities and instances. It's also compatible with the other Reddit-like Fediverse software, [Kbin](https://kbin.social).

I think it suffers in two ways though. The first is that there just isn't a huge amount of content being posted. I've joined most of the largest communities I could find, but sorting by "Hot" was still showing me posts that were up to a year old.

The second is that because by default an instance can't see communities on other instances - you have to search them, and then the software will look them up, you can end up with lots of duplicated communities for the same purpose. For example, Lemmy Explorer shows 3 different communities, each called Technology, and with similar numbers of users. It's hard to know which to join (or whether to join all, I guess).

I'm going to keep using it though, hopefully as the userbase grows the struggle with finding good content will start to fade. It's certainly less addictive than Reddit was, there's only so long to doomscroll before you reach the same posts as before.

